package com.geeks.array.task;

public class StringSplitExample {

	public static void main(String[] args) {
		
		String str = "hello world";
		
		/*
		 *  split string into single character
		 */
		String array[] = splitInSingleCharacter(str);
		System.out.println("***Split by empty string:");
		printArray(array);
		
		/*
		 *  split string by space
		 */
		array = splitBySpace(str);
		System.out.println("***Split by space:");
		printArray(array);
		
		/*
		 *  split comma separated string by comma
		 */
		str = "apple,mango,banana,kiwi,grapes";
		array = splitByComma(str);
		System.out.println("***Split by comma:");
		printArray(array);
		
		/*
		 *  split comma separated string by comma and limit
		 */
		array = splitByCommaAndLength(str, 2);
		System.out.println("***Split by comma and limit:");
		printArray(array);
	}

	private static void printArray(String[] array) {
		for(int a=0; a<array.length; a++) {
			System.out.println(array[a]);
		}
	}
	
	private static String[] splitInSingleCharacter(String str) {
		String[] array = str.split("");
		return array;
	}
	
	private static String[] splitBySpace(String str) {
		String[] array = str.split("\\s");
		return array;
	}
	
	private static String[] splitByComma(String str) {
		String[] array = str.split(",");
		return array;
	}
	
	private static String[] splitByCommaAndLength(String str, int limit) {
		String[] array = str.split(",", limit);
		return array;
	}
}
